﻿@model PagedList.PagedList<Project_63135350.Models.Model_63135350.Product_63135350>
@using PagedList.Mvc;
@using PagedList;
@{
    ViewBag.Title = "Danh sách sản phẩm";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

@section naviheader{
    <!-- Left navbar links -->
    <ul class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
            <a href="/Admin/Home_63135350" class="nav-link">Trang chủ</a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
            <a href="/Admin/Products_63135350" class="nav-link">@ViewBag.Title</a>
        </li>
    </ul>
}
<link rel="stylesheet" href="//code.jquery.com/ui/1.13.1/themes/base/jquery-ui.css">
<!-- Content Header (Page header) -->
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Quản lý sản phẩm</h1>
            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">Home</a></li>
                    <li class="breadcrumb-item active">@ViewBag.Title</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>

<!-- Main content -->
<section class="content">

    <!-- Default box -->
    <div class="card">
        <div class="card-header">
            <h3 class="card-title">@ViewBag.Title</h3>

            <div class="card-tools">
                <a href="/Admin/Products_63135350/Add" class="btn btn-primary">Thêm mới</a>
                <a href="#" class="btn btn-danger" id="BtnDeleteAll">Xóa</a>
            </div>
        </div>
        <div class="card-body">            
            <table class="table table-hover">
                <thead>
                    <tr>
                        <th><input type="checkbox" id="SelectAll" /></th>
                        <th>STT</th>
                        <th>Hình ảnh</th>
                        <th>Tên sản phẩm</th>
                        <th>Danh mục</th>
                        <th>Số lượng</th>
                        <th>Giá</th>
                        <th>Ngày tạo</th>
                 
                        <th>Khuyến mãi</th>
                        <th>Hiển thị</th>
                        <th style="width:150px;"></th>
                    </tr>
                </thead>
                <tbody>
                    @if (Model != null && Model.Any())
                    {
                        var i = ((ViewBag.Page - 1) * ViewBag.PageSize) + 1;
                        foreach (var item in Model)
                        {
                            var strCheck = item.IsActive ? "<i class='fa fa-check text-success'></i>" : "<i class='fas fa-times text-danger'></i>";
                            var strCheckHome = item.IsHome ? "<i class='fa fa-check text-success'></i>" : "<i class='fas fa-times text-danger'></i>";
                            var strCheckSale = item.IsSale ? "<i class='fa fa-check text-success'></i>" : "<i class='fas fa-times text-danger'></i>";
                            var strImg = "";
                            var CheckImage = item.ProductImage.FirstOrDefault(x => x.IsDefault);
                            if (CheckImage != null)
                            {
                                strImg = CheckImage.Image;
                            }
                            <tr id="trow_@item.Id">
                                <td><input type="checkbox" class="cbkItem" value="@item.Id" /></td>
                                <td>@i</td>
                                <td><img data-id="@item.Id" src="@strImg" width="50" /></td>
                                <td>@item.Title</td>
                                <td>@item.ProductCategory.Title</td>
                                <td>@item.Quanlity</td>
                                <td>@Project_63135350.Common.Common_63135350.FormatNumber(item.Price,0)đ</td>
                                <td>@item.CreatedDate.ToString("dd/MM/yyyy")</td>
                                
                                <td class="text-center">
                                    <a href='#' data-id="@item.Id" class="btnSale">@Html.Raw(strCheckSale)</a>
                                </td>
                                <td class="text-center">
                                    <a href='#' data-id="@item.Id" class="btnActive">@Html.Raw(strCheck)</a>
                                </td>
                                <td>

                                    <a href="/Admin/Products_63135350/Edit/@item.Id" class="btn btn-sm btn-primary">Sửa</a>
                                    <a href="#" data-id="@item.Id" class="btn btn-sm btn-danger btnDelete">Xóa</a>
                                </td>
                            </tr>
                            i++;
                        }
                    }
                    else
                    {
                        <tr>
                            <td colspan="4">Không có bản ghi nào!!!</td>

                        </tr>
                    }
                </tbody>
            </table>

            <div class="row">
                <div class="col-6"></div>
                <div class="col-6" style="text-align: right">
                    @Html.PagedListPager(Model, page => Url.Action("Index", new { page }))
                </div>
            </div>
        </div>
        <!-- /.card-body -->
        <div class="card-footer">
        </div>
        <!-- /.card-footer-->
    </div>
    <!-- /.card -->

</section>
<!-- /.content -->
<div id="dialog">
    <iframe id="myIframe" style="border: 0; width: 100%; height: 100%;"></iframe>
</div>
@section scripts{
    <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.js"></script>
    <script>
        $(document).ready(function () {
            //hiển thị form upload ảnh
            $("#dialog").dialog({
                autoOpen: false,
                show: "fade",
                hide: "fade",
                modal: true,
                height: '600',
                width: '700',
                resizable: true,
                title: 'Quản lý ảnh sản phẩm',
                close: function () {
                    window.location.reload();
                }
            });           
            $('body').on('click', '#BtnDeleteAll', function (e) {
                e.preventDefault();
                var str = "";
                var checkbox = $(this).parents('.card').find('tr td input:checkbox');
                var i = 0;
                checkbox.each(function () {
                    if (this.checked) {
                        var _id = $(this).val();
                        if (i === 0) {
                            str += _id;
                        } else {
                            str += "," + _id;
                        }
                        i++;
                    } else {
                        checkbox.attr('selected', '');
                    }
                });
                if (str.length > 0) {
                    var conf = confirm('Bạn có muốn xóa các bản ghi này hay không?');
                    if (conf === true) {
                        $.ajax({
                            url: '/Admin/Products_63135350/deleteAll',
                            type: 'POST',
                            data: { ids: str },
                            success: function (rs) {
                                if (rs.success) {
                                    location.reload();
                                }
                            }
                        });
                    }
                }
            });

            $('body').on('change', '#SelectAll', function () {
                var checkStatus = this.checked;
                var checkbox = $(this).parents('.card-body').find('tr td input:checkbox');
                checkbox.each(function () {
                    this.checked = checkStatus;
                    if (this.checked) {
                        checkbox.attr('selected', 'checked');
                    } else {
                        checkbox.attr('selected', '');
                    }
                });
            });
            $('body').on('click', '.btnDelete', function () {
                var id = $(this).data("id");
                var conf = confirm('Bạn có muốn xóa bản ghi này không?');
                if (conf === true) {
                    $.ajax({
                        url: '/Admin/Products_63135350/delete',
                        type: 'POST',
                        data: { id: id },
                        success: function (rs) {
                            if (rs.success) {
                                $('#trow_' + id).remove();
                            }
                        }
                    });
                }
            });
            $('body').on('click', '.btnHome', function (e) {
                e.preventDefault();
                var btn = $(this);
                var id = btn.data("id");
                $.ajax({
                    url: '/Admin/Products_63135350/IsHome',
                    type: 'POST',
                    data: { id: id },
                    success: function (rs) {
                        if (rs.success) {
                            if (rs.IsHome) {
                                btn.html("<i class='fa fa-check text-success'></i>");
                            } else {
                                btn.html("<i class='fas fa-times text-danger'></i>");
                            }
                        }

                    }
                });
            });
            $('body').on('click', '.btnSale', function (e) {
                e.preventDefault();
                var btn = $(this);
                var id = btn.data("id");
                $.ajax({
                    url: '/Admin/Products_63135350/IsSale',
                    type: 'POST',
                    data: { id: id },
                    success: function (rs) {
                        if (rs.success) {
                            if (rs.IsSale) {
                                btn.html("<i class='fa fa-check text-success'></i>");
                            } else {
                                btn.html("<i class='fas fa-times text-danger'></i>");
                            }
                        }

                    }
                });
            });
            $('body').on('click', '.btnActive', function (e) {
                e.preventDefault();
                var btn = $(this);
                var id = btn.data("id");
                $.ajax({
                    url: '/Admin/Products_63135350/IsActive',
                    type: 'POST',
                    data: { id: id },
                    success: function (rs) {
                        if (rs.success) {
                            if (rs.isAcive) {
                                btn.html("<i class='fa fa-check text-success'></i>");
                            } else {
                                btn.html("<i class='fas fa-times text-danger'></i>");
                            }
                        }

                    }
                });
            });           
        });
    </script>
}
}
